## cinder 17.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=5.4.1 # Apache-2.0
decorator>=4.1.0 # BSD
eventlet>=0.26.0 # MIT
greenlet>=0.4.15 # MIT
httplib2>=0.9.1 # MIT
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.14.0 # Apache-2.0
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.2.0 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config>=6.11.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.23.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.log>=3.44.0 # Apache-2.0
oslo.messaging>=6.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.44.1 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=2.0.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.40.2 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.1 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
psutil>=3.2.2 # BSD
pyparsing>=2.2.1 # MIT
python-barbicanclient>=4.9.0 # Apache-2.0
python-glanceclient>=2.15.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2015.7 # MIT
requests>=2.18.0,!=2.20.0 # Apache-2.0
Routes>=2.3.1 # MIT
taskflow>=3.8.0 # Apache-2.0
rtslib-fb>=2.1.65 # Apache-2.0
six>=1.11.0 # MIT
SQLAlchemy>=1.3.0 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=1.31.0 # Apache-2.0
tabulate>=0.8.5 # MIT
tenacity>=6.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT
oslo.i18n>=3.24.0 # Apache-2.0
oslo.vmware>=2.35.0 # Apache-2.0
os-brick>=4.0.1 # Apache-2.0
os-win>=4.2.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=1.3.0 # Apache-2.0
cryptography>=2.1.4 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0
zstd>=1.4.5.0 # BSD

=== debian/changelog ===
cinder (2:17.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:12:02 +0100

cinder (2:17.0.0-2) unstable; urgency=medium

  * mv /etc/cinder/policy.json /etc/cinder/disabled.policy.json.old instead of
    deleting /etc/cinder/policy.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:24:54 +0100

cinder (2:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 11:44:15 +0200

cinder (2:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-upstream-sheebang.patch applied upstream.
  * Now using a yaml policy file in /etc/cinder/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 16:20:07 +0200

cinder (2:16.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix min version of os-brick.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2020 19:17:25 +0200

cinder (2:16.0.0-2) unstable; urgency=medium

  * Add missing --namespace oslo.privsep when generating the config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 01:28:49 +0200

cinder (2:16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:12:40 +0200

cinder (2:16.0.0~rc3-1) unstable; urgency=medium

  * Add add-a-healthcheck-url.patch.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 01:30:57 +0200

cinder (2:16.0.0~rc1-2) experimental; urgency=medium

  * Switch cinder-api to uwsgi.
  * Use cgroup-tools, not cgroup-bin as depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 19:25:54 +0200

cinder (2:16.0.0~rc1-1) experimental; urgency=medium

  * Add cgroup-bin as depends of cinder-common to allow I/O QoS.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Move cryptsetup-bin depends to cinder-common.
  * Rebase patch: fix-upstream-sheebang.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 09:02:12 +0200

cinder (2:15.0.1-2) unstable; urgency=medium

  * Add cgroup-bin as depends of cinder-common to allow I/O QoS.
  * Run cinder-api over uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 09:02:10 +0200

cinder (2:15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 15:11:21 +0100

cinder (2:15.0.0-4) unstable; urgency=medium

  * Allow DEFROUTE_IP search to fail.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2020 11:21:04 +0100

cinder (2:15.0.0-3) unstable; urgency=medium

  * Fallback to hostname -i if we can't find the my-ip otherwise.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Mar 2020 10:29:38 +0100

cinder (2:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 23:55:04 +0200

cinder (2:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 17:53:11 +0200

cinder (2:15.0.0~rc1-2) experimental; urgency=medium

  * Remove creation of v1 endpoint in postinst,
    as it is not present in cinder anymore.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 02 Oct 2019 15:02:49 +0200

cinder (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed fix-upstream-sheebang.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 01:03:42 +0200

cinder (2:14.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Add missing etc/cinder/resource_filters.json.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Aug 2019 15:48:44 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr (>= 5.4.1),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient (>= 4.9.0),
 python3-castellan (>= 1.3.0),
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt (>= 1.2.1),
 python3-decorator,
 python3-doc8,
 python3-eventlet (>= 0.26.0),
 python3-fixtures,
 python3-glanceclient (>= 2.15.0),
 python3-googleapi,
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate (>= 0.13.0),
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client,
 python3-openstackdocstheme,
 python3-os-brick (>= 4.0.1),
 python3-os-win (>= 4.2.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.11.0),
 python3-oslo.context (>= 2.23.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service (>= 2.0.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.2),
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.1),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2 (>= 2.8),
 python3-pygments,
 python3-pymysql,
 python3-pyparsing (>= 2.2.1),
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy (>= 1.3.0),
 python3-sqlalchemy-utils (>= 0.36.1),
 python3-stestr (>= 2.2.0),
 python3-stevedore (>= 1.31.0),
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow (>= 3.8.0),
 python3-tenacity (>= 6.1.0),
 python3-testtools (>= 2.4.0),
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient (>= 4.9.0),
 python3-castellan (>= 1.3.0),
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-eventlet (>= 0.26.0),
 python3-glanceclient (>= 2.15.0),
 python3-googleapi,
 python3-greenlet (>= 0.4.15),
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.14.0),
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate (>= 0.13.0),
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client,
 python3-os-brick (>= 4.0.1),
 python3-os-win (>= 4.2.0),
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:6.11.0),
 python3-oslo.context (>= 2.23.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.24.0),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 2.3.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service (>= 2.0.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.40.2),
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-osprofiler,
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.1),
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 5.4.1),
 python3-psutil,
 python3-psycopg2 (>= 2.8),
 python3-pymysql,
 python3-pyparsing (>= 2.2.1),
 python3-requests,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sqlalchemy (>= 1.3.0),
 python3-stevedore (>= 1.31.0),
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow (>= 3.8.0),
 python3-tenacity (>= 6.1.0),
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

## cinder 17.1.0

=== debian/changelog ===
cinder (2:17.1.0-0ubuntu1) groovy; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1923035).
  * d/p/rbd-retry-delete.patch: Removed after patch landedd upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Apr 2021 13:53:43 +0000

cinder (2:17.0.1-0ubuntu2) groovy; urgency=medium

  * d/p/rbd-retry-delete.patch: Fix RBD mirroring race by retrying volume delete
    if VolumeIsBusy in _copy_image_to_volume (LP: #1900775).
  * d/p/add-mock-psutil-in-quobyte-tests.patch: Add a mock of psutil
    disk_partitions to fix failing unit test (LP: #1913607).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jan 2021 15:12:48 -0500

cinder (2:17.0.1-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Victoria (LP: #1912321).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 19 Jan 2021 10:16:58 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(17\.\d.*)\.tar\.gz

## cinder 17.4.0

=== requirements.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 oslo.privsep>=2.3.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
-oslo.serialization>=2.25.0 # Apache-2.0
+oslo.serialization>=4.0.2 # Apache-2.0
 oslo.service>=2.0.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.40.2 # Apache-2.0
@@ -61,6 +61,6 @@
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0
 castellan>=1.3.0 # Apache-2.0
-cryptography>=2.1.4 # BSD/Apache-2.0
+cryptography>=2.5 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0
 zstd>=1.4.5.0 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
os-api-ref>=1.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0

=== debian/changelog ===
cinder (2:17.4.0-1~deb11u4~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch.
  * Depends on oslo.messaging (>= 12.5.2-2~).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Fri, 09 Jan 2026 21:40:06 +0000

cinder (2:17.4.0-1~deb11u3) UNRELEASED; urgency=medium

  * Add bugfix patches:
    - RBD_Fix_snapshot_delete_when_the_source_volume_doesnt_exist.patch
    - Ceph_Catch_more_failure_conditions_on_volume_backup.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 May 2025 08:49:25 +0200

cinder (2:17.4.0-1~deb11u2) bullseye-security; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).
  * Above patch temporarily disabled until breackage is fixed.
  * Add add-params-thin_provisioning-equal-one.patch.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - CVE-2024-32498_0_1_Use_the_json_format_output_of_qemu-img_info.patch
    - CVE-2024-32498_1_Check_for_external_qcow2_data_file.patch
  * Fix cinder-common.config.in reading glance_api_servers.
  * Build-depends on qemu-utils to be able to run additional tests.
  * (build-)depends on oslo.utils >= 4.6.1, needed for the CVE fix.
  * Correctly calls manage_glance_api_servers() in config script.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 May 2023 09:36:50 +0200

cinder (2:17.4.0-1~deb11u1) bullseye-security; urgency=high

  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    cve-2022-47951-cinder-stable-victoria.patch (Closes: #1029561).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Jan 2023 08:36:08 +0100

cinder (2:17.4.0-1) unstable; urgency=medium

  * Tune cinder-api-uwsgi.ini for performance.
  * New upstream release.
  * Fix minimum version of oslo.serialization, as per upstream requirements.
  * 

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 May 2022 12:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -51,16 +51,16 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.24.0),
  python3-oslo.log (>= 3.44.0),
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 12.5.2-2~),
  python3-oslo.middleware,
  python3-oslo.policy (>= 1.44.1),
  python3-oslo.privsep (>= 2.3.0),
  python3-oslo.reports,
  python3-oslo.rootwrap,
- python3-oslo.serialization,
+ python3-oslo.serialization (>= 4.0.2),
  python3-oslo.service (>= 2.0.0),
  python3-oslo.upgradecheck,
- python3-oslo.utils (>= 3.40.2),
+ python3-oslo.utils (>= 4.6.1),
  python3-oslo.versionedobjects,
  python3-oslo.vmware,
  python3-oslotest,
@@ -95,6 +95,7 @@
  python3-tz,
  python3-webob,
  python3-zstd,
+ qemu-utils,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
@@ -270,16 +271,16 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.24.0),
  python3-oslo.log (>= 3.44.0),
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 12.5.2-2~),
  python3-oslo.middleware,
  python3-oslo.policy (>= 1.44.1),
  python3-oslo.privsep (>= 2.3.0),
  python3-oslo.reports,
  python3-oslo.rootwrap,
- python3-oslo.serialization,
+ python3-oslo.serialization (>= 4.0.2),
  python3-oslo.service (>= 2.0.0),
  python3-oslo.upgradecheck,
- python3-oslo.utils (>= 3.40.2),
+ python3-oslo.utils (>= 4.6.1),
  python3-oslo.versionedobjects,
  python3-oslo.vmware,
  python3-osprofiler,

## cinder 18.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.1 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1 # MIT
greenlet>=0.4.16 # MIT
httplib2>=0.18.1 # MIT
importlib_metadata>=3.1.1;python_version<'3.8' # Apache-2.0
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oauth2client>=4.1.3 # Apache-2.0
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.4.0 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=12.5.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.6.2 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.1.0 # Apache-2.0
oslo.service>=2.5.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=4.8.0 # Apache-2.0
oslo.versionedobjects>=2.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
psutil>=5.7.2 # BSD
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
pytz>=2020.1 # MIT
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
six>=1.15.0 # MIT
SQLAlchemy>=1.3.19 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.0.1 # Apache-2.0
oslo.vmware>=3.8.0 # Apache-2.0
os-brick>=4.3.1 # Apache-2.0
os-win>=5.4.0 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.6.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.16.51 # Apache-2.0

=== debian/changelog ===
cinder (2:18.0.0-0ubuntu3) hirsute; urgency=medium

  * d/p/skip-victoria-failures.patch: Restored and rebased. This is still
    necessary for Launchpad builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Apr 2021 09:18:12 -0400

cinder (2:18.0.0-0ubuntu2) hirsute; urgency=medium

  * d/p/skip-victoria-failures.patch: Dropped. Fixed upstream.
  * d/p/add-mock-psutil-in-quobyte-tests.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:54:52 -0400

cinder (2:18.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:49:38 -0400

cinder (2:18.0.0~b1-0ubuntu2) hirsute; urgency=medium

  * d/py3dist-overrides: Add boto3 which is a Suggests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Apr 2021 14:44:57 -0400

cinder (2:18.0.0~b1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track 18.x series.
  * New upstream milestone for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-moto-tests.patch: Skip test dependency that is not yet
    packaged in Ubuntu and was added late in cycle.
  * d/p/patch-botocore-exceptions.patch: Account for changes to botocore
    vendored exceptions.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 10:07:03 -0400

cinder (2:17.0.1+git2021012507.d26092348-0ubuntu3) hirsute; urgency=medium

  * d/*: Remove tgt in favor of targetcli-fb.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 23 Feb 2021 14:50:18 +0000

cinder (2:17.0.1+git2021012507.d26092348-0ubuntu2) hirsute; urgency=medium

  * d/p/add-mock-psutil-in-quobyte-tests.patch: Add a mock of psutil
    disk_partitions to fix failing unit test (LP: #1913607).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 12:03:20 -0500

cinder (2:17.0.1+git2021012507.d26092348-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:04:55 +0000

cinder (2:17.0.1+git2021010614.a9c922ab7-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jan 2021 14:08:38 -0500

cinder (2:17.0.1+git2020120911.d3ffa90ba-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:49:58 -0500

## cinder 18.1.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.7 # Apache-2.0
reno>=3.2.0 # Apache-2.0
sphinx>=3.5.1 # BSD
Pygments>=2.6.1 # BSD license
os-api-ref>=2.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.3.0  # BSD
sphinx-feature-classification>=1.1.0 # Apache 2.0

=== debian/changelog ===
cinder (2:18.1.0-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1943709).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 15 Sep 2021 12:38:15 +0000

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-tabulate (>= 0.8.7),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.13.14),
 python3-botocore,
 python3-castellan (>= 3.6.0),
 python3-coverage,
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.1),
 python3-decorator (>= 4.4.2),
 python3-doc8,
 python3-eventlet (>= 0.26.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 1.6.0),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:17.2.1),
 python3-oauth2client (>= 4.1.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-brick (>= 4.2.0),
 python3-os-win (>= 5.1.0),
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.7.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.9.3),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.3.19),
 python3-sqlalchemy-utils (>= 0.36.8),
 python3-stestr,
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 4.5.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.6.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-eventlet (>= 0.26.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 1.6.0),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:17.2.1),
 python3-os-brick (>= 4.2.0),
 python3-os-win (>= 5.1.0),
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.1.0),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.7.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.3.19),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 4.5.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.13.14),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-hp3parclient,
 python3-oauth2client (>= 4.1.2),
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(18\.\d.*)\.tar\.gz
